get
https://payment-api-service.transactpay.ai/payout/requery?clientReference=clientReference
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Sample Response
{
"message": "Payout details received successfully",
"code": "00",
"status": true,
"data": {
"accountNumber": "1234567890",
"accountName": "ACCOUNT NAME",
"bankName": "Transactpay Bank",
"providerReference": "999999250923140035210597815798",
"amount": 10000.00,
"responseMessage": "Transaction successful",
"responseCode": "00",
"clientReference": "myClientRef",
"status": "Successful"
}
}Possible Status IDs and their statuses
The StatusID represents the current state of a transaction in its lifecycle.
| StatusID | Status | Description |
|---|---|---|
1 | Initiated | Payout request has been created. |
2 | Pending | Payout is awaiting processing. |
3 | Processing | Payout is currently being processed. |
4 | Failed | Payout failed permanently. |
5 | Successful | Payout completed successfully. |
6 | Awaiting Approval | Payout is awaiting first-level approval. |
7 | Awaiting Verification | Payout is awaiting verification checks. |
8 | Rejected | Payout was rejected during approval/verification. |
9 | Reversed | Payout was reversed after processing. |
10 | Awaiting Second Level Approval Verification | Payout is awaiting second-level approval. |
11 | Failed(pending confirmation) | Payout failed but still awaiting final confirmation. |
12 | Failed(retriggered) | Payout previously failed and has been retriggered. |
200